### Hierarchy

- ScriptEvent

## Index

### Constructors

- constructor

### Properties

- data
- name
- type

## Constructors

### constructor

- new ScriptEvent(name: string, type: ScriptEventType, data?: any): ScriptEvent

- - Defined in ha4us-script.ts:30

  #### Parameters

  - ##### name: string

  - ##### type: ScriptEventType

  - ##### Optional data: any

  #### Returns ScriptEvent

## Properties

### Optional data

data: any

- Defined in ha4us-script.ts:34

### name

name: string

- Defined in ha4us-script.ts:32

### type

type: ScriptEventType

- Defined in ha4us-script.ts:33

Generated using TypeDoc